Package org.flowable.common.engine.api.delegate.event

# Interface FlowableEvent

All Known Subinterfaces:
  `FlowableActivityCancelledEvent`, `FlowableActivityEvent`, `FlowableCancelledEvent`, `FlowableCaseEndedEvent`, `FlowableCaseStageEndedEvent`, `FlowableCaseStageStartedEvent`, `FlowableCaseStartedEvent`, `FlowableChangeTenantIdEvent`, `FlowableConditionalEvent`, `FlowableEngineEntityEvent`, `FlowableEngineEvent`, `FlowableEntityEvent`, `FlowableEntityWithVariablesEvent`, `FlowableErrorEvent`, `FlowableEscalationEvent`, `FlowableJobRescheduledEvent`, `FlowableMessageEvent`, `FlowableMultiInstanceActivityCancelledEvent`, `FlowableMultiInstanceActivityCompletedEvent`, `FlowableMultiInstanceActivityEvent`, `FlowableProcessEngineEvent`, `FlowableProcessStartedEvent`, `FlowableProcessTerminatedEvent`, `FlowableSequenceFlowTakenEvent`, `FlowableSignalEvent`, `FlowableVariableEvent`

All Known Implementing Classes:
  `FlowableActivityCancelledEventImpl`, `FlowableActivityEventImpl`, `FlowableConditionalEventImpl`, `org.flowable.common.engine.impl.event.FlowableEngineEventImpl`, `FlowableEntityEventImpl`, `FlowableEntityExceptionEventImpl`, `FlowableEntityWithVariablesEventImpl`, `FlowableErrorEventImpl`, `FlowableEscalationEventImpl`, `org.flowable.common.engine.impl.event.FlowableEventImpl`, `FlowableJobRescheduledEventImpl`, `FlowableMessageEventImpl`, `FlowableMultiInstanceActivityCancelledEventImpl`, `FlowableMultiInstanceActivityCompletedEventImpl`, `FlowableMultiInstanceActivityEventImpl`, `FlowableProcessCancelledEventImpl`, `FlowableProcessEventImpl`, `FlowableProcessStartedEventImpl`, `FlowableProcessTerminatedEventImpl`, `FlowableSequenceFlowTakenEventImpl`, `FlowableSignalEventImpl`, `FlowableVariableEventImpl`

public interface FlowableEvent
Describes an event that occurred in the Flowable Engine which is dispatched to external listeners, if any.

Author:
  Frederik Heremans

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FlowableEventType`
  `getType()`

- ## Method Details

  - ### getType

    FlowableEventType getType()
    Returns:
      type of event.